Zum Inhalt springen

Die geltenden Rechtstexte der Plattform (Nutzungsbedingungen, Datenschutz, DPA und Anlagen, Bedingungen für Entwickler)

GET
/v1/legal
curl --request GET \
--url 'https://api.vimine.network/v1/legal?locale=it'

Ein Eintrag pro Art und Sprache, heute in Kraft. ?all=1 fügt das Archiv der früheren Versionen hinzu; ?locale=it|en beschränkt die Sprachen.

locale

Nur diese Sprache

string
Erlaubte Werte: it en zh-Hans zh-Hant fr es de pt-BR
all

1, um frühere Versionen einzuschließen

string

Dokumente

Medientypapplication/json
object
documents
erforderlich
Array<object>
object
uid
string Format: uuid
kind
erforderlich

Dokumentart (platform_terms, platform_privacy, platform_cookie, aps_terms, aps_dpa, aps_dpa_annex1_processing … developer_terms)

string
locale
erforderlich
string
Erlaubte Werte: it en zh-Hans zh-Hant fr es de pt-BR
version
erforderlich

Versionsbezeichnung (1.0, 1.1, …)

string
title
erforderlich
string
summary

Was sich in dieser Version geändert hat

string
nullable
effective_from
string Format: date-time
nullable
retired_at
string Format: date-time
nullable
sha256

SHA-256 des kanonischen Vorlagentexts

string
nullable
current
erforderlich

Dies ist die geltende Version der Art in ihrer Sprache

boolean
requires_reacceptance
boolean
archive

Frühere Versionen (mit ?all=1)

Array<object>
object
uid
string Format: uuid
kind
erforderlich

Dokumentart (platform_terms, platform_privacy, platform_cookie, aps_terms, aps_dpa, aps_dpa_annex1_processing … developer_terms)

string
locale
erforderlich
string
Erlaubte Werte: it en zh-Hans zh-Hant fr es de pt-BR
version
erforderlich

Versionsbezeichnung (1.0, 1.1, …)

string
title
erforderlich
string
summary

Was sich in dieser Version geändert hat

string
nullable
effective_from
string Format: date-time
nullable
retired_at
string Format: date-time
nullable
sha256

SHA-256 des kanonischen Vorlagentexts

string
nullable
current
erforderlich

Dies ist die geltende Version der Art in ihrer Sprache

boolean
requires_reacceptance
boolean
Beispiel
{
"documents": [
{
"locale": "it"
}
],
"archive": [
{
"locale": "it"
}
]
}

Ungültige Anfrage

Medientypapplication/problem+json
object
type
erforderlich
string Format: uri
title
erforderlich
string
status
erforderlich
integer
detail
string
code
erforderlich
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Beispielerzeugt
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

Nicht gefunden

Medientypapplication/problem+json
object
type
erforderlich
string Format: uri
title
erforderlich
string
status
erforderlich
integer
detail
string
code
erforderlich
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Beispielerzeugt
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

Ratenlimit überschritten

Medientypapplication/problem+json
object
type
erforderlich
string Format: uri
title
erforderlich
string
status
erforderlich
integer
detail
string
code
erforderlich
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Beispielerzeugt
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

Interner Fehler

Medientypapplication/problem+json
object
type
erforderlich
string Format: uri
title
erforderlich
string
status
erforderlich
integer
detail
string
code
erforderlich
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Beispielerzeugt
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}